# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.22
# 
# >> macros
%global spectemplatedir %{_sysconfdir}/rpmdevtools/
%global ftcgtemplatedir %{_datadir}/fontconfig/templates/
%global rpmmacrodir     %{_sysconfdir}/rpm/
# << macros

Name:       fontpackages
Summary:    Common directory and macro definitions used by font packages
Version:    1.44
Release:    1
Group:      Development/System
License:    LGPLv3+
BuildArch:  noarch
URL:        http://fedoraproject.org/wiki/fontpackages/
Source0:    http://fedorahosted.org/releases/f/o/%{name}/%{name}-%{version}.tar.xz
Source100:  fontpackages.yaml


%description
This package contains the basic directory layout, spec templates, rpm macros
and other materials used to create font packages.



%package devel
Summary:    Templates and macros used to create font packages
Group:      Development/System
Requires:   %{name}-filesystem = %{version}-%{release}
Requires:   fontconfig

%description devel
This package contains spec templates, rpm macros and other materials used to
create font packages. For the full feature experience, 
please install rpmdevtools


%package filesystem
Summary:    Directories used by font packages
License:    Public Domain
Group:      Development/System

%description filesystem
This package contains the basic directory layout used by font packages,
including the correct permissions for the directories.



%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre



# >> build post


# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre

# >> install post

# Pull macros out of macros.fonts and emulate them during install
for dir in fontbasedir        fontconfig_masterdir \
fontconfig_confdir fontconfig_templatedir ; do
export _${dir}=$(rpm --eval $(%{__grep} -E "^%_${dir}\b" \
rpm/macros.fonts | %{__awk} '{ print $2 }'))
done

install -m 0755 -d %{buildroot}${_fontbasedir} \
%{buildroot}${_fontconfig_masterdir} \
%{buildroot}${_fontconfig_confdir} \
%{buildroot}${_fontconfig_templatedir} \
%{buildroot}%{spectemplatedir} \
%{buildroot}%{rpmmacrodir} \
%{buildroot}%{_datadir}/fontconfig/templates
install -m 0644 -p spec-templates/*.spec  %{buildroot}%{spectemplatedir}
install -m 0644 -p fontconfig-templates/* %{buildroot}%{ftcgtemplatedir}
install -m 0644 -p rpm/macros*            %{buildroot}%{rpmmacrodir}

cat <<EOF > %{name}-%{version}.files
%defattr(0644,root,root,0755)
%dir ${_fontbasedir}
%dir ${_fontconfig_masterdir}
%dir ${_fontconfig_confdir}
%dir ${_fontconfig_templatedir}
EOF

# << install post














%files devel
%defattr(-,root,root,-)
# >> files devel
%defattr(0644,root,root,0755)
%doc license.txt readme.txt
%config(noreplace) %{spectemplatedir}/*.spec
%config(noreplace) %{rpmmacrodir}/macros*
%dir %{ftcgtemplatedir}
%{ftcgtemplatedir}/*conf
%{ftcgtemplatedir}/*txt
# << files devel

%files filesystem -f %{name}-%{version}.files
%defattr(-,root,root,-)
# >> files filesystem
%defattr(0644,root,root,0755)
%dir %{_datadir}/fontconfig
# << files filesystem

